/***************************************************************************
                          catch.c  -  description
                             -------------------
    begin                : Tue Feb 6 2001
    copyright            : (C) 2001 by Felix Gertz
    email                : felix_gertz@das-fluppt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* #include "pref.h" */

#include <stdio.h>
#include <string.h>

#include "http_lib.h"
#include "user.h"
#include "pronews.h"


int get_file(char content[])
{
	int lg,ret;
	char typebuf[70];
	char *filename=NULL;
	char *data=NULL;
	char url[255];
	
	strcpy(url,newsfile_path);
	
	if(http_parse_url(url,&filename)) return 1000;

	ret=http_get(filename,&data,&lg,typebuf);
	if(ret!=200) return ret;
	
	strcpy(content,data);
	
	return 0;
}

int get_length(int *leng)
{
	int lg,ret;
	char typebuf[70];
	char *filename=NULL;
	char url[255];
	
	strcpy(url,newsfile_path);	
	
	if(http_parse_url(url,&filename)) return 1000;

	ret=http_head(filename,&lg,typebuf);
	if(ret!=200) return ret;

	*leng=lg;
	
	return 0;
}

void save_file(char data[])
{
	FILE *data_file;
	char *newsfile=NULL;
	
	newsfile=get_homedir();
	strcat(newsfile,"/.pronews/newsfile");
	
	if((data_file = fopen(newsfile,"w")) == NULL) {
		printf("Kann nicht ffnen!\n");
		} else {
		fprintf(data_file,"%s",data);
		fclose(data_file);
		}
}

void save_length(int lg)
{
	FILE *data_file;
	char *lengthfile=NULL;
	
	lengthfile=get_homedir();
	strcat(lengthfile,"/.pronews/length");
	
	if((data_file = fopen(lengthfile,"w")) == NULL) {
		printf("Kann nicht ffnen!\n");
		} else {
		fprintf(data_file,"%i\n",lg);
		fclose(data_file);
		}
}

